Bug 1464149 - Don't apply 'retries=' option to tcp timeouts
Don't apply 'retries=' option to tcp timeouts
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
26
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 10:10 EDT by Pavel Raiskup
Modified: 2018-05-29 08:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:30:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Raiskup 2017-06-22 10:10:51 EDT
Looks like it means basically reverting of:
https://github.com/rpm-software-management/yum/commit/ad9eb71cc910a67c02985e963afb19e3721f0e96

Effectively, if there are some networking issues (which happens just now
internally for one server hosting a lot of package repositories), dnf
re-tries downloading from timeout'ing servers.

Having N repositories from such server means (N x retries x timeout)
delay, which makes dnf totally unusable for a lot of internal customers.  Even
when we have set skip_if_unavailable=True.
Comment 2 Pavel Raiskup 2017-06-27 02:39:06 EDT
Ah, the retries= option is applied on timeouts only in yum -- that's good
actually.

Though dnf doesn't perform well neither in this case.  At least there
seems to be default timeout of 2 minutes for repository download.  Not
having repo downloading in parallel, dnf hangs for 2*N minutes for N
repositories from one server (can be simulated by iptables -I OUTPUT -d
<IP> -j DROP).  Seems like bug 1210325, so I reopened it.

Except for parallelizing, dnf could special case the downloads where no
single byte was downloaded for much shorter timeout.. Would that make sense?
Comment 3 Fedora End Of Life 2018-05-03 04:11:00 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2018-05-29 08:30:29 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.